<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* maintenance-form-export.twig */
class __TwigTemplate_94f896e8efca55118103c96f475f0b3b723f96d55f67033b082ff89ea2314ca2 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 9
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 10
        $context["forms"] = $this->loadTemplate("forms.twig", "maintenance-form-export.twig", 10)->unwrap();
        // line 9
        $this->parent = $this->loadTemplate("form-base.twig", "maintenance-form-export.twig", 9);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 12
    public function block_formTitle($context, array $blocks = [])
    {
        // line 13
        echo "    ";
        echo __("Export Database Backup");
    }

    // line 16
    public function block_formButtons($context, array $blocks = [])
    {
        // line 17
        echo "    ";
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 18
        echo __("Export Database");
        echo ", dbExportFormSubmit()
";
    }

    // line 21
    public function block_formHtml($context, array $blocks = [])
    {
        // line 22
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"exportForm\" class=\"form-horizontal\" method=\"get\" action=\"";
        // line 24
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("maintenance.export"), "html", null, true);
        echo "\">
                ";
        // line 25
        ob_start(function () { return ''; });
        echo __("This will create a dump file of your database that you can restore later using the import functionality.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 26
        echo "                ";
        echo $context["forms"]->getmessage(($context["message"] ?? null));
        echo "
                
                ";
        // line 28
        ob_start(function () { return ''; });
        echo __("You should also manually take a backup of your library.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 29
        echo "                ";
        echo $context["forms"]->getmessage(($context["message"] ?? null));
        echo "
                
                ";
        // line 31
        ob_start(function () { return ''; });
        echo __("Please note: The folder location for mysqldump must be available in your path environment variable for this to work and the php exec command must be enabled.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 32
        echo "                ";
        echo $context["forms"]->getmessage(($context["message"] ?? null));
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "maintenance-form-export.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  101 => 32,  97 => 31,  91 => 29,  87 => 28,  81 => 26,  77 => 25,  73 => 24,  69 => 22,  66 => 21,  60 => 18,  55 => 17,  52 => 16,  47 => 13,  44 => 12,  39 => 9,  37 => 10,  31 => 9,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "maintenance-form-export.twig", "/home/mgatv524/public_html/edurocha/views/maintenance-form-export.twig");
    }
}
